Practical CAD skills in the mechanical industry: draw the involute of the circle with Zhongwang CAD
When using the CAD in the machinery industry, it is often necessary to draw a circle involute. As a fan of CAD design, I am also very interested in this issue. Find some information, get some basic concepts, and find a way to do it with the LISP program. Next, I will share with you how to use the Zhongwang CAD to draw the involute of the circle. Round involute: Wrap an inelastic string around a circle, pull one end of the rope and straighten it so that the rope is always tangent to the circumference. The trajectory of the end of the rope is a curve. This curve is called the involute of the circle. This circle is called the base circle of the involute. The circular involute is widely used for the meshing of gears, and the force of the gear is always in a direction tangential to the base circle. The standard gear indexing circle has a pressure angle of 20 degrees and the involute pressure angle on the gear does not exceed 80 degrees. In the following procedure, the pressure angle of the involute is set to 360 degrees for the sake of clarity. 2D Wired Handheld Industrial Barcode Scanner Industrial Qr Code Reader,Industrial Bar Code Scanner,Pos Laser Barcode Scanner,Industrial 2D Barcode Scanner Guangzhou Aigather Intelligent Technology Co., Ltd. , https://www.aigathergz.com
The Lisp program is as follows:
(defun C:jkx ()
(setvar "_ZW_XSDSCMDPAUSE" 1)
(setq pi1 (/ pi 180))
(setq po0 (getpoint " Please enter the center point:"))
(if (= po0 nil)
(setq po0 (list 0 0 0))
)
(SETQ d (GETREAL " Please enter the index circle diameter: "))
(if (= d nil)
(setq d 100)
)
(setq step (getreal " involute fineness (0 <fineness <=10):"))
(if (= step nil)
(setq step 1)
)
(setq rd (/ d 2))
(setq os (getvar "osmode"))
(setvar "osmode" 0)
(command "UCS" "O" po0)
(command "CIRCLE" "0,0" rd)
(SETQ R (* rd (COS (* PI1 20)))); the standard gear indexing circle has a pressure angle of 20 degrees (SETQ ST 0)
(SETQ STR (* PI1 ST))
(SETQ X (* R (+ (COS STR) (* STR (SIN STR)))))
(SETQ Y (* R (- (SIN STR) (* STR (COS STR)))))
(SETQ XY (LIST XY))
(COMMAND "PLINE" XY)
(SETQ ST (+ st step))
(WHILE (<= ST 360) ; involute pressure angle on the gear (SETQ STR (* PI1 ST))
(SETQ X (* R (+ (COS STR) (* STR (SIN STR)))))
(SETQ Y (* R (- (SIN STR) (* STR (COS STR)))))
(SETQ XY (LIST XY))
(COMMAND XY)
(SETQ ST (+ st step))
)
(command "")
(setvar "osmode" os)
(command "UCS" "P")
)
Draw the results as shown below: